{% extends 'root.html' %}
{% block body %}
<h1>Chemistry Starters Safety Checklist for {{ starter_name }}</h1>
{% if incomplete|default(False) %}
<div class="error">
<p>
Sorry, the form is not yet complete and so cannot be submitted.
</p>
</div>
{% endif %}
<div class="instructions">
<p>
Please complete the safety checklist. Items marked * are compulsory. Your registration cannot be processed until this is done.
</p>
{% if safety_handbook_available %}
<p>
A copy of the Department Safety Handbook can be found <a href="{{ url_for('.safety_handbook', token=request.args.get('token')) }}">here</a> .
</p>
{% else %}
<p>If you do not have a copy of the Department Safety Handbook please ask your group administrator.</p>
{% endif %}
</div>
<div id="registration-form">
 <form method="POST">
  {% if enable_buttons|default(True) %}
  <div class="save-state">
    <input type="submit" name="submit" value="Save state and return later" class="save-state" {% if disable_submission|default(False) %}disabled{% endif %}/>
  </div>
  {% endif %}
  <div id="safety-handbook-questions">
   <h2>Safety Handbook</h2>
   <h3>Safety Handbook Part 1</h3>
   <div class="safety-form-field">
	   {{ form.safety_handbook_part_1.label }}{{ form.safety_handbook_part_1 }}{% if form.safety_handbook_part_1.flags.required %}<span{% if form.safety_handbook_part_1.errors%} class="field-error"{% endif %}>*</span>{% endif %}<div class="field-error {% if form.safety_handbook_part_1.errors %} field-invalid{% endif %}">{% if form.safety_handbook_part_1.errors %}{{ form.safety_handbook_part_1.errors|join(", ") }}{% endif %}</div>
   </div>
   <h3>Safety Handbook Part 2</h3>
   <p>
   I have read the following sections of Part 2 (please check as appropriate):
   </p>
   {% for field in form %}
   {% if field.name.startswith('safety_handbook_part_2') %}
   <div class="safety-form-field{% if field.type.startswith('Chosen') %} chosen-form-field{% endif %}">
	   {{ field.label }}{{ field }}{% if field.flags.required %}<span{% if field.errors %} class="field-error"{% endif %}>*</span>{% endif %}<div class="field-error {% if field.errors %} field-invalid{% endif %}">{% if field.errors %}{{ field.errors|join(", ") }}{% endif %}</div></div>
   {% endif %}
   {% endfor %}
  </div>
  <div id="safety-induction-questions">
   <h2>Safety Induction</h2>
   {% for field in form %}
    {% if field.name.startswith('safety_induction') %}
     <div class="safety-form-field{% if field.type.startswith('Chosen') %} chosen-form-field{% endif %}">
      {% if field.type == 'RadioField' %}
       <div class="safety-radio-question">
	       {{ field.label }}{% if field.flags.required %}<span{% if field.errors%} class="field-error"{% endif %}>*</span>{% endif %}<div class="field-error {% if field.errors %} field-invalid{% endif %}">{% if field.errors %}{{ field.errors|join(", ") }}{% endif %}</div>
       {% for subfield in field %}
        <div class="safety-radio-subquestion">
        {{ subfield.label }} {{ subfield }}
        </div>
       {% endfor %}
       </div>
      {% else %}
      {{ field.label }}{{ field }}{% if field.flags.required %}<span{% if field.errors%} class="field-error"{% endif %}>*</span>{% endif %}<div class="field-error {% if field.errors %} field-invalid{% endif %}">{% if field.errors %}{{ field.errors|join(", ") }}{% endif %}</div>
      {% endif %}
     </div>
    {% endif %}
   {% endfor %}
  </div>
  {% if 'safety_training_declaration' in form %}
  <div id="safety-training-declaration">
   <h2>Safety Training</h2>
   <div class="safety-form-field">
	   <label for="safety_training_declaration">I confirm that I have completed the required safety training at {{ safety_training_html|safe }}</label>{{ form.safety_training_declaration }}{% if form.safety_training_declaration.flags.required %}<span{% if form.safety_training_declaration.errors%} class="field-error"{% endif %}>*</span>{% endif %}<div class="field-error {% if form.safety_training_declaration.errors %} field-invalid{% endif %}">{% if form.safety_training_declaration.errors %}{{ form.safety_training_declaration.errors|join(", ") }}{% endif %}</div>
   </div>
  </div>
  {% endif %}
  <div id="safety-declaration">
   <h2>Signature</h2>
   <div class="safety-form-field">
	   <label for="safety_submitted">I confirm that I am {{ starter_name }}, the information above is correct and complete, and I wish to submit this safety checklist.</label>{{ form.safety_submitted }}{% if form.safety_submitted.flags.required %}<span{% if form.safety_submitted.errors%} class="field-error"{% endif %}>*</span>{% endif %}<div class="field-error {% if form.safety_submitted.errors %} field-invalid{% endif %}">{% if form.safety_submitted.errors %}{{ form.safety_submitted.errors|join(", ") }}{% endif %}</div>
   </div>
  </div>
  {% if enable_buttons|default(True) %}
  <div class="save-state">
    <input type="submit" name="submit" value="Check data and submit form" class="save-state" {% if disable_submission|default(False) %}disabled{% endif %}/>
    <input type="submit" name="submit" value="Save state and return later" class="save-state" {% if disable_submission|default(False) %}disabled{% endif %}/>
  </div>
  {% endif %}
  {% for field in form %}
  {% if field.type == 'CSRFTokenField' or field.type == 'HiddenField' %}
  {{ field }}
  {% endif %}
  {% endfor %}
 </form>
</div>
{% endblock %}
